Bug 71990 - Bad placement of dialog-window
Summary: Bad placement of dialog-window
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: switchdesk (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-20 16:16 UTC by Enrico Scholz
Modified: 2007-04-18 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 20:49:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2002-08-20 16:16:27 UTC
Description of Problem:

When starting switchdesk-gnome through nautilus, the dialog-window will be
placed at the bottom-left edge of the nautilus window. This is a little bit
unreadable when having nautilus fullscreen...


Version-Release number of selected component (if applicable):

switchdesk-gnome-3.9.8-9


How Reproducible:

100%


Steps to Reproduce:
1. login under gnome and start 'Start here'
2. make nautilus fullscreen
3. go to 'Systemsettings -> Extras'
4. start 'switchdesk' there


Actual Results:

switchdesk window is at bottom-left edge of nautilus


Expected Results:

window is somewhere in the middle of the screen


Additional Information:
	
is perhaps a metacity problem so reassign when needed

Comment 1 Mike A. Harris 2002-10-26 05:19:26 UTC
I've added hp and owen in case they might have an opinion on this one before
I investigate it.

Comment 2 Havoc Pennington 2002-10-26 07:45:28 UTC
switchdesk probably sets a dumb window position, 
perhaps grep for gtk_window_set_position(), you probably want to delete 
the call to that function.

Comment 3 Ngo Than 2004-02-03 20:49:45 UTC
it's fixed in 4.0.0, which is available in rawhide.


Note You need to log in before you can comment on or make changes to this bug.